cascading.tuple.hadoop.io

## Class ValueTupleDeserializer

- java.lang.Object
- - cascading.tuple.hadoop.io.ValueTupleDeserializer

All Implemented Interfaces:
  org.apache.hadoop.io.serializer.Deserializer<ValueTuple>

    public class ValueTupleDeserializer
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ValueTupleDeserializer(TupleSerialization.SerializationElementReader elementReader)`

### Method Summary

Methods
`void` `close()`
`protected ValueTuple` `createTuple()`
`T` `deserialize(T tuple)`
`void` `open(java.io.InputStream in)`
`protected void` `setReaders(Fields fields)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ValueTupleDeserializer

    public ValueTupleDeserializer(TupleSerialization.SerializationElementReader elementReader)

### Method Detail

#### createTuple

    protected ValueTuple createTuple()

#### setReaders

    protected void setReaders(Fields fields)

#### open

    public void open(java.io.InputStream in)

Specified by:
  `open` in interface `org.apache.hadoop.io.serializer.Deserializer<T extends Tuple>`

#### deserialize

    public T deserialize(T tuple)
                                throws java.io.IOException

Specified by:
  `deserialize` in interface `org.apache.hadoop.io.serializer.Deserializer<T extends Tuple>`
Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `org.apache.hadoop.io.serializer.Deserializer<T extends Tuple>`
Throws:
  `java.io.IOException`